Bug 243130 - [PATCH] Update net-mgmt/rancid3 to 3.10 and add git support
Summary: [PATCH] Update net-mgmt/rancid3 to 3.10 and add git support
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mark Felder
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-01-06 17:26 UTC by Joe Marcus Clarke
Modified: 2020-02-06 16:50 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (feld)


Attachments
Update to 3.10 and add git SCM support (5.25 KB, patch)
2020-01-06 17:26 UTC, Joe Marcus Clarke
no flags Details | Diff
Updated diff that actually applies to the current tree (5.26 KB, patch)
2020-01-08 14:37 UTC, Joe Marcus Clarke
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Joe Marcus Clarke freebsd_committer 2020-01-06 17:26:54 UTC
Created attachment 210482 [details]
Update to 3.10 and add git SCM support

The attached patch updates net-mgmt/rancid3 to 3.10 and adds support for git as the SCM.
Comment 1 Joe Marcus Clarke freebsd_committer 2020-01-08 14:37:02 UTC
Created attachment 210537 [details]
Updated diff that actually applies to the current tree
Comment 2 Mark Felder freebsd_committer 2020-02-05 15:28:07 UTC
Please do the needful and also change MAINTAINER to ports@ or take it yourself. It's an easy port to maintain so no reason for me to sit on it, but last couple weeks, traveled to EU for work, and then I had computer/laptop failure so couldn't SSH to my dev box...

thanks!
Comment 3 Joe Marcus Clarke freebsd_committer 2020-02-06 16:50:16 UTC
Updated to 3.11 and took over as maintainer.  Thanks, feld.
Comment 4 commit-hook freebsd_committer 2020-02-06 16:50:43 UTC
A commit references this bug:

Author: marcus
Date: Thu Feb  6 16:49:45 UTC 2020
New revision: 525390
URL: https://svnweb.freebsd.org/changeset/ports/525390

Log:
  Update to 3.11.

  See https://www.shrubbery.net/rancid/CHANGES for a list of changes.
  Additionally:

  * Add BSD3CLAUSE licence
  * Add support for archiving to a git VCS
  * Switch maintainer to myself.

  PR:		243130
  Approved by:	feld (previous maintainer)

Changes:
  head/net-mgmt/rancid3/Makefile
  head/net-mgmt/rancid3/distinfo
  head/net-mgmt/rancid3/pkg-plist